Bug 180743 - Review Request: pdsh
Review Request: pdsh
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Starr
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-09 19:17 EST by Ben Woodard
Modified: 2012-07-23 19:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 19:46:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Woodard 2006-02-09 19:17:59 EST
Spec Name or Url: http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh.spec 
SRPM Name or Url: http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh-2.8.1-2.src.rpm 
Description: Pdsh is a multithreaded remote shell client which executes commands
on multiple remote hosts in parallel.  Pdsh can use several different
remote shell services, including standard "rsh", Kerberos IV, and ssh.

This is my first submission and I need a sponsor.
Comment 1 Jochen Schmitt 2006-02-12 16:11:22 EST
+ Local build worked fine.

+ md5sum is ok.

+ build on mock worked fine.

- Source: should contains full qualified URL.

- rpm Source rpm creates warnings.

$ rpmlint pdsh-2.8.1-2.src.rpm
W: pdsh summary-ended-with-dot Parallel remote shell program.
W: pdsh prereq-use xinetd
W: pdsh prereq-use xinetd

- rpmlint of Binaries RPM creates:

$ rpmlint pdsh-2.8.1-2.src.rpm
W: pdsh summary-ended-with-dot Parallel remote shell program.
W: pdsh prereq-use xinetd
W: pdsh prereq-use xinetd

- Packages should not contains *.a files.

Question: Why you don't use %{?smp_flags}?

Best Regards:

Jochen Schmitt
Comment 2 Jochen Schmitt 2006-02-13 11:26:35 EST
Unfortunately I have some more complaints about your package:

- Please use %{_initrddir} instead of /etc/init.d

Best Regards:

Jochen Schmitt
Comment 3 Ben Woodard 2006-02-15 18:50:37 EST
Jochen,
I don't understand what the warning about xinetd means:

W: pdsh prereq-use xinetd

Yes pdsh needs xinetd. I don't see why that is a warning. What is supposed to be
done about it?

re: %{?_smp_mflags}

that was borrowed long ago from enlightenment and the upstream maintainer and I
decided to remove that whole blurb.

Working on the rest.
Comment 4 Ville Skyttä 2006-02-16 01:54:27 EST
(In reply to comment #3)
> W: pdsh prereq-use xinetd
> 
> Yes pdsh needs xinetd. I don't see why that is a warning. What is supposed to 
> be done about it?

Use rpmlint -i to get an explanation.  PreReq is deprecated; in this case it
sounds (without looking at the package) like it could be replaced by plain Requires.
Comment 5 Ben Woodard 2006-02-16 12:42:04 EST
OK this should have everything that you mentioned fixed:

http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh-2.8.1-3.src.rpm
http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh.spec
Comment 6 Jochen Schmitt 2006-02-19 16:09:04 EST
Bas:
- Please use %{_sysconfdir} instead of /etc
- you have not a good argument agains %{_smp_mflags}
- rpmlint complaints:

rpmlint pdsh-2.8.1-3.i686.rpm
W: pdsh unstripped-binary-or-object /usr/bin/pdcp
W: pdsh unstripped-binary-or-object /usr/bin/pdsh
W: pdsh dangerous-command-in-%post rm

pmlint pdsh-rcmd-rsh-2.8.1-3.i686.rpm
W: pdsh-rcmd-rsh summary-ended-with-dot Provides bsd rcmd capability to pdsh.
W: pdsh-rcmd-rsh no-documentation
W: pdsh-rcmd-rsh devel-file-in-non-devel-package /usr/lib/pdsh/xrcmd.a

rpmlint pdsh-rcmd-ssh-2.8.1-3.i686.rpm
W: pdsh-rcmd-ssh summary-ended-with-dot Provides ssh rcmd capability to pdsh.
W: pdsh-rcmd-ssh no-documentation
W: pdsh-rcmd-ssh devel-file-in-non-devel-package /usr/lib/pdsh/sshcmd.a

- pdsh-debuginfo contains not all debuginformation. Please study the rpmlit errors.
Comment 7 Ben Woodard 2006-02-23 18:49:20 EST
OK fixed a bunch more things. Now all packages not just the src.rpm have almost
all their warnings resolved:

$ sudo rm -f /usr/src/redhat/RPMS/i386/pdsh-*;sudo cp /tmp/pdsh.spec .;sudo
rpmbuild -ba pdsh.spec; rpmlint /usr/src/redhat/RPMS/i386/pdsh-* | grep -v
invalid-vendor | grep -v invalid-distribution | grep -v no-packager-tag| grep -v
invalid-buildhost | grep -v no-signature
<snip>
W: pdsh-debuginfo non-standard-group Development/Debug
W: pdsh-rcmd-rsh no-documentation
W: pdsh-rcmd-ssh no-documentation

The debuginfo package warning I think will be resolved by building in a
different environment.
rcmd-rsh and rcmp-ssh in fact do not have any documentation associated with
them. Fixing that warning is an exercise for upstream.

http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh-2.8.1-4.src.rpm
http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh.spec

Comment 8 Paul Howarth 2006-02-24 03:01:36 EST
(In reply to comment #7)
> OK fixed a bunch more things. Now all packages not just the src.rpm have almost
> all their warnings resolved:
> 
> $ sudo rm -f /usr/src/redhat/RPMS/i386/pdsh-*;sudo cp /tmp/pdsh.spec .;sudo
> rpmbuild -ba pdsh.spec

Why are you building packages as root? This is potentially a security issue and
it can also hide some issues that may crop up when the package is rebuilt as a
regular user (some upstream packages have $(DESTDIR) missing in some Makefile
entries for instance).

; rpmlint /usr/src/redhat/RPMS/i386/pdsh-* | grep -v
> invalid-vendor | grep -v invalid-distribution | grep -v no-packager-tag| grep -v
> invalid-buildhost | grep -v no-signature
> <snip>
> W: pdsh-debuginfo non-standard-group Development/Debug
> W: pdsh-rcmd-rsh no-documentation
> W: pdsh-rcmd-ssh no-documentation
> 
> The debuginfo package warning I think will be resolved by building in a
> different environment.

Which rpmlint are you using? I've never seen the Extras version complain about
the group used in automatically-generated debuginfo packages, nor about missing
packager tags.

I'd change the Source0 URL to:
http://dl.sourceforge.net/sourceforge/pdsh/pdsh-%{version}-1.tar.gz
so as not to use a specific mirror and to use the %{version} macro to save you
having to change it when upstream releases a new version.
Comment 9 Ben Woodard 2006-02-24 17:21:59 EST
OK

http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh-2.8.1-5.src.rpm
http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh.spec

Not built as root. No problems when I didn't once I fixed perms on some dirs on
my system. Upstream is my friend and cycling buddy so I wasn't too worried about
security.

upgraded rpmlint. It got rid of some bogus errors.

Other items tweaked as requested.
Comment 10 Jochen Schmitt 2006-03-05 13:36:33 EST
Good:
+ rpmlint of source rpm ok.
+ Local build worked fine.
+ rpmlint of binaries rpm ok.

Bad:
- Package doesn't contains verbatin license text.
- found .la files in pdsh-rcmd-rsh and pdsh-rcmd.ssh.
Comment 11 Ben Woodard 2006-03-06 16:41:33 EST
We're getting closer here. ;-)

Here is a new spec file and rpm which fix both problems you found.

http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh-2.8.1-6.src.rpm
http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh.spec
Comment 12 Jochen Schmitt 2006-03-12 14:31:09 EST
Now it's look very good, but when I type 'pdsh' I will got the following messages:

$ pdsh
pdsh@myhome: no modules found

I have installed pdsh and pdsh-rcmd-ssh. the README.module file explain, that
pdsh should load the modules automaticly.
  
Comment 13 Ben Woodard 2006-03-13 19:31:42 EST
Aha! Jochen you uncovered something that is arguably a bug in the upstream code.
An optimization that the upstream author put into the code depends on the .la
files being present when we removed the .la files from the package this went
awry. The upstream author removed this optimization and I applied it as a patch. 

http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh-2.8.1-7.src.rpm
http://osdn.dl.sourceforge.net/sourceforge/pdsh/pdsh.spec
Comment 14 Jochen Schmitt 2006-03-15 11:55:32 EST
Now it works.

So you package is APPROVED.
Comment 15 Jochen Schmitt 2006-04-20 10:16:55 EDT
Please close this bug.
Comment 16 Michael J Knox 2006-05-07 23:58:27 EDT
Please remember to close reviews once they have been approved and pushed out
into extras. Thanks!
Comment 17 Shawn Starr 2008-09-09 12:14:14 EDT
Package Change Request
======================
Package Name: pdsh
[New Branches: ] EL-5
[Updated Fedora Owners: ] kg6fnk, spstarr

[add any required explanatory text here] 

Want to co-own this. The package was almost removed from Fedora this is quite useful and needed for HPC/clusters.

Requesting an EPEL EL-5 branch if one does not exist. PDSH is very,very useful on RHEL :)
Comment 18 Shawn Starr 2008-09-09 12:20:28 EDT
Package Change Request
======================
Package Name: pdsh
[New Branches: ] EL-5
[Updated Fedora Owners: ] kg6fnk, spstarr
[Updated EPEL Owners: ] spstarr <-- add this too..
Comment 19 Jason Tibbitts 2008-09-10 19:46:00 EDT
CVS done.

Please note:
You shouldn't reopen tickets to ask for CVS; just set the flag.  

If you want to add yourself as a co-maintainer, just visit the pkgdb page for the package and click "Add myself to this package".  As it is, I don't know which branches you want to co-maintain so I've just left that to you.
Comment 20 David Brown 2012-07-23 17:37:53 EDT
Package Change Request
======================
Package Name: pdsh
New Branches: el5 el6
Owners: dmlb2000
Comment 21 Gwyn Ciesla 2012-07-23 19:09:39 EDT
There are already el5 and el6 branches, request co-maintainership in pkgdb.

Note You need to log in before you can comment on or make changes to this bug.